Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/roles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v2/platform/roles/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "6",
"type": "role",
"attributes": {
"name": "Role 6",
"created_at": "2022-11-08T19:35:07.384Z",
"updated_at": "2022-11-08T19:35:07.384Z"
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}Returns a Role
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://{defaultHost}/api/v2/platform/roles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url http://{defaultHost}/api/v2/platform/roles/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "6",
"type": "role",
"attributes": {
"name": "Role 6",
"created_at": "2022-11-08T19:35:07.384Z",
"updated_at": "2022-11-08T19:35:07.384Z"
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}Was this page helpful?
